/* 
   +----------------------------------------------------------------------+
   | Copyright (c) 2002 by Community Connect Inc. All rights reserved.    |
   +----------------------------------------------------------------------+
   | This source file is subject to version 3.0 of the PHP license,      |
   | that is bundled with this package in the file LICENSE, and is        |
   | available at through the world-wide-web at                           |
   | http://www.php.net/license/3_0.txt.                                 |
   | If you did not receive a copy of the PHP license and are unable to   |
   | obtain it through the world-wide-web, please send a note to          |
   | license@php.net so we can mail you a copy immediately.               |
   +----------------------------------------------------------------------+
   | Authors: Daniel Cowgill <dcowgill@communityconnect.com>              |
   +----------------------------------------------------------------------+
*/

/* $Id: apc_main.h,v 3.2 2003/06/29 02:51:39 gschlossnagle Exp $ */

#ifndef APC_MAIN_H
#define APC_MAIN_H

/*
 * This module provides the primary interface between PHP and APC.
 */

extern int apc_module_init();
extern int apc_module_shutdown();
extern int apc_request_init();
extern int apc_request_shutdown();

/*
 * apc_deactivate is called by the PHP interpreter when an "exception" is
 * raised (e.g., a call to the exit function) that unwinds the execution
 * stack.
 */
extern void apc_deactivate();


extern const char* apc_version();

#endif

/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: expandtab sw=4 ts=4 sts=4 fdm=marker
 * vim<600: expandtab sw=4 ts=4 sts=4
 */
